/*
Theme Name: Salient Child Theme
Description: This is a custom child theme for Salient
Theme URI:   https://themeforest.net/item/salient-responsive-multipurpose-theme/4363266
Author: ThemeNectar
Author URI:  https://themeforest.net/user/themenectar
Template: salient
Version: 1.0
*/

/* === Webfont: MeinWebfont === */
@font-face {
  font-family: 'Freethinker-Regular';
  src:
    url('/wp-content/uploads/2026/01/Freethinker-Regular.woff2') format('woff2'),
    url('//wp-content/uploads/2026/01/Freethinker-Regular.woff') format('woff');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

/* Salient Basic Button: Radius raus (inkl. Wrapper/Pseudos) */
.btn-square .nectar-button-type,
.btn-square .nectar-button-type .link_wrap,
.btn-square .nectar-button-type:before,
.btn-square .nectar-button-type:after,
.btn-square .nectar-button-type .link_wrap:before,
.btn-square .nectar-button-type .link_wrap:after,
.btn-square a,
.btn-square a:before,
.btn-square a:after {
  border-radius: 0 !important;
}

/* iOS/Safari: Overpass korrekt erzwingen (keine "-bold" Font-Family) */
span.blocks-rot,
.link_wrap,
.nectar-button,
.nectar-button-type,
.nectar-button,
.nectar-button * {
  font-family: "Overpass", sans-serif !important;
  font-weight: 700 !important;
  font-style: normal !important;
  font-synthesis: none;
}



/* iOS / Safari Fix für Salient Buttons */
.nectar-button,
.nectar-button span,
.nectar-button-type,
.nectar-button-type span,
.nectar-button a {
  font-family: "Overpass", sans-serif !important;
  font-weight: 700 !important;
  font-style: normal !important;
}

/* verhindert künstliches Bold/Italic in iOS */
.nectar-button,
.nectar-button * {
  font-synthesis: none;
}

